<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>

<body>
    <h1>Sumar</h1>

    <form name="form" action="" method="get">
        <label for="numero1">Número 1</label>
        <input type="number" id="numero1" name="numero1"><br /><br />

        <label for="numero2">Número 2</label>
        <input type="number" id="numero2" name="numero2"><br /><br />

        <input type="button" id="sumar" name="sumar" value="Sumar">
        <input type="button" id="resta" name="resta" value="Resta">
        <input type="button" id="multiplicar" name="multiplicar" value="Multiplicar">
        <input type="button" id="dividir" name="dividir" value="Dividir">
        <input type="button" id="sumaCuadrado" name="sumaCuadrado" value="Suma de cuadrados">

        <h1>Resultado</h1>
        <span id="resultado"></span>

    </form>
    <script type="text/javascript">

        let btnSumar = document.getElementById("sumar");
        let btnRestar = document.getElementById("resta");
        let btnMultiplicar = document.getElementById("multiplicar");
        let btnDividir = document.getElementById("dividir");
        let btnSumaCuadrado = document.getElementById("sumaCuadrado");

        btnSumar.addEventListener("click", function () {
            let numero1 = document.getElementById("numero1").value;
            let numero2 = document.getElementById("numero2").value;
            let resultado = parseInt(numero1, 10) + parseInt(numero2, 10);
            console.log(`el resultado es: ${resultado}`);
            document.getElementById("resultado").innerHTML = resultado;
        });

        btnRestar.addEventListener("click", function () {
            let numero1 = document.getElementById("numero1").value;
            let numero2 = document.getElementById("numero2").value;
            let resultado = parseInt(numero1, 10) - parseInt(numero2, 10);
            console.log(`el resultado es: ${resultado}`);
            document.getElementById("resultado").innerHTML = resultado;
        });

        btnMultiplicar.addEventListener("click", function () {
            let numero1 = document.getElementById("numero1").value;
            let numero2 = document.getElementById("numero2").value;
            let resultado = parseInt(numero1, 10) * parseInt(numero2, 10);
            console.log(`el resultado es: ${resultado}`);
            document.getElementById("resultado").innerHTML = resultado;
        });

        btnDividir.addEventListener("click", function () {
            let numero1 = document.getElementById("numero1").value;
            let numero2 = document.getElementById("numero2").value;
            let resultado = parseInt(numero1, 10) / parseInt(numero2, 10);
            console.log(`el resultado es: ${resultado}`);
            document.getElementById("resultado").innerHTML = resultado;
        });

        btnSumaCuadrado.addEventListener("click", function () {
            let numero1 = document.getElementById("numero1").value;
            let numero2 = document.getElementById("numero2").value;
            let resultado = parseInt(numero1 ** 2, 10) + parseInt(numero2 ** 2, 10);
            console.log(`el resultado es: ${resultado}`);
            document.getElementById("resultado").innerHTML = resultado;
        });

    </script>

</body>

</html>